Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624838 - (APSB10-17) acroread: multiple critical security flaws (APSB10-17)
acroread: multiple critical security flaws (APSB10-17)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20100805,reported=20100805,sou...
: Security
Depends On: 624839 624840 625503
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 17:22 EDT by Vincent Danen
Modified: 2015-08-19 04:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 08:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0636 normal SHIPPED_LIVE Critical: acroread security update 2010-08-20 08:09:32 EDT

  None (edit)
Description Vincent Danen 2010-08-17 17:22:41 EDT
Adobe has announced a forthcoming update to Adobe Acrobat Reader that will address critical security issues:

http://www.adobe.com/support/security/bulletins/apsb10-17.html
Comment 2 Vincent Danen 2010-08-18 00:10:39 EDT
The bulletin addresses:

* These updates resolve an integer overflow vulnerability that could lead to code execution (CVE-2010-2862).

* These updates further mitigate a social engineering attack that could lead to code execution (CVE-2010-1240).

* These updates incorporate the Adobe Flash Player update as noted in Security Bulletin APSB10-16.

The first issue is tracked via bug #621687 and the Flash Player-related issues are tracked via bug #622947.

CVE-2010-1240 was previously noted to have been corrected in APSB10-15 (see bug #609203), so Adobe should have used a different CVE name here instead.
Comment 3 Tomas Hoger 2010-08-20 05:33:51 EDT
All the issue are public now via updated APSB10-17.

(In reply to comment #2)
> CVE-2010-1240 was previously noted to have been corrected in APSB10-15 (see bug
> #609203), so Adobe should have used a different CVE name here instead.

Yes, looks like and incorrect use of original CVE for what should have got a new CVE for an incomplete fix.  More details about the issue, including PoC PDFs:

Original discovery and 9.3.3 fix:
http://blog.didierstevens.com/2010/03/29/escape-from-pdf/
http://blog.didierstevens.com/2010/06/29/quickpost-no-escape-from-pdf/

Report that 9.3.3 fix is incomplete:
http://blog.bkis.com/en/adobe-fix-still-allows-escape-from-pdf/

Demo PDF files to not seem to trigger any launch file dialog on Linux Adobe Reader version.
Comment 4 errata-xmlrpc 2010-08-20 07:41:04 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0636 https://rhn.redhat.com/errata/RHSA-2010-0636.html

Note You need to log in before you can comment on or make changes to this bug.